is_empty.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/arithmetic/dec.hpp>`
`#include <msgpack/preprocessor/logical/bool.hpp>`
`#include <msgpack/preprocessor/logical/compl.hpp>`
`#include <msgpack/preprocessor/seq/size.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_DETAIL_IS_EMPTY(seq)
#define | MSGPACK_PP_SEQ_DETAIL_IS_EMPTY_SIZE(size)
#define | MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY(seq) MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY_SIZE(MSGPACK_PP_SEQ_DETAIL_EMPTY_SIZE(seq)) \
#define | MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY_SIZE(size) MSGPACK_PP_BOOL(size) \
#define | MSGPACK_PP_SEQ_DETAIL_EMPTY_SIZE(seq) MSGPACK_PP_DEC(MSGPACK_PP_SEQ_SIZE(seq (nil))) \

## Macro Definition Documentation

## MSGPACK_PP_SEQ_DETAIL_EMPTY_SIZE

#define MSGPACK_PP_SEQ_DETAIL_EMPTY_SIZE | ( |  | seq | ) | MSGPACK_PP_DEC(MSGPACK_PP_SEQ_SIZE(seq (nil))) \

## MSGPACK_PP_SEQ_DETAIL_IS_EMPTY

#define MSGPACK_PP_SEQ_DETAIL_IS_EMPTY | ( |  | seq | ) |

Value:
MSGPACK_PP_COMPL \
( \
MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY(seq) \
) \
MSGPACK_PP_COMPL
#define MSGPACK_PP_COMPL(x)
Definition: compl.hpp:22

## MSGPACK_PP_SEQ_DETAIL_IS_EMPTY_SIZE

#define MSGPACK_PP_SEQ_DETAIL_IS_EMPTY_SIZE | ( |  | size | ) |

Value:
MSGPACK_PP_COMPL \
( \
MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY_SIZE(size) \
) \
msgpack::type::size
std::size_t size(T const &t)
Definition: size_equal_only.hpp:24
MSGPACK_PP_COMPL
#define MSGPACK_PP_COMPL(x)
Definition: compl.hpp:22

## MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY

#define MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY | ( |  | seq | ) | MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY_SIZE(MSGPACK_PP_SEQ_DETAIL_EMPTY_SIZE(seq)) \

## MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY_SIZE

#define MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY_SIZE | ( |  | size | ) | MSGPACK_PP_BOOL(size) \